Assemblies¶
Endpoints related to assemblies.
- GET /assembly-part-meta/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
405 Method Not Allowed – NotImplementedError
- POST /assembly-part-meta/¶
We don’t allow to create assembly part meta via REST API.
We don’t allow to create assembly part meta via REST API.
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
405 Method Not Allowed – NotImplementedError
- Response Headers:
Location – URI of the created resource
- GET /assembly-part-meta/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
405 Method Not Allowed – NotImplementedError
- PUT /assembly-part-meta/{uuid}/¶
We don’t allow to update assembly part meta via REST API.
We don’t allow to update assembly part meta via REST API.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
405 Method Not Allowed – NotImplementedError
- DELETE /assembly-part-meta/{uuid}/¶
We don’t allow to delete assembly part meta via REST API.
We don’t allow to delete assembly part meta via REST API.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
405 Method Not Allowed – NotImplementedError
- GET /assembly-meta/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – NotImplementedError
- POST /assembly-meta/¶
We don’t allow to create assembly meta via REST API.
We don’t allow to create assembly meta via REST API. Assembly meta can be created by uploading anatomical-model via API /design-file/.
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – NotImplementedError
- Response Headers:
Location – URI of the created resource
- GET /assembly-meta/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – NotImplementedError
- PUT /assembly-meta/{uuid}/¶
We don’t allow to update assembly meta via REST API.
We don’t allow to update assembly meta via REST API.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – NotImplementedError
- DELETE /assembly-meta/{uuid}/¶
We don’t allow to delete assembly meta via REST API.
We don’t allow to delete assembly meta via REST API.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – NotImplementedError